RIO_REQUEST_INB_PWRI(9)

NAME
rio_request_inb_pwrite - request inbound port-write message service

SYNOPSIS

int rio_request_inb_pwrite(struct rio_dev * rdev, int (*pwcback) (struct rio_dev *rdev, union rio_pw_msg *msg, int step));

ARGUMENTS

rdev
    RIO device to which register inbound port-write callback routine

pwcback
    Callback routine to execute when port-write is received

DESCRIPTION

Binds a port-write callback function to the RapidIO device. Returns 0 if the request has been satisfied.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT